'This source code is provided "as is" and without warranties as to performance or merchantability. 
'The author and/or distributors of this source code may have made statements about this source code. 
'Any such statements do not constitute warranties and shall not be relied on by the user in deciding whether to use this source code. 

'This source code is provided without any express or implied warranties whatsoever. 
'Because of the diversity of conditions and hardware under which this source code may be used, 
'no warranty of fitness for a particular purpose is offered. The user is advised to test the source code thoroughly before relying on it. 
'The user must assume the entire risk of using the source code. 
'
'Created 5/28/2008, JH

Public Class frmMain

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Cursor = Cursors.WaitCursor
        Dim trxdetail As New WS_TrxDetail.TrxDetail

        Dim responseXML As String = String.Empty

        Try
            responseXML = trxdetail.GetCardTrx("YourUsername", "YourPassword", "1", "", "05/27/2008", "05/27/2008", "", "", "", "", "", "", "", "", "", "", "", "False", _
            "", "", "", "", "", "", "", "", "", "", "")

            TextBox1.Text = responseXML
        Catch ex As Exception
            TextBox1.Text = ex.ToString()
        Finally
            Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Cursor = Cursors.WaitCursor
        Dim trxdetail As New WS_TrxDetail.TrxDetail

        Dim responseXML As String = String.Empty

        Try
            responseXML = trxdetail.GetCardTrxSummary("YourUsername", "YourPassword", "1", "01/01/2008", "05/27/2008", "", "", "", "", "", "False", "", "", "", "", "", "", _
            "", "", "", "")

            TextBox1.Text = responseXML
        Catch ex As Exception
            TextBox1.Text = ex.ToString()
        Finally
            Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Cursor = Cursors.WaitCursor
        Dim Transact As New WS_Transact.SmartPayments

        Dim response As WS_Transact.Response

        Try
            response = Transact.GetInfo("YourUsername", "YourPassword", "Setup", "")

            TextBox1.Text = response.ToString & Environment.NewLine
            TextBox1.Text = TextBox1.Text & response.Message & Environment.NewLine
            TextBox1.Text = TextBox1.Text & response.RespMSG & Environment.NewLine
            TextBox1.Text = TextBox1.Text & response.Result
        Catch ex As Exception
            TextBox1.Text = ex.ToString()
        Finally
            Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Cursor = Cursors.WaitCursor
        Dim Transact As New WS_Transact.SmartPayments

        Dim response As WS_Transact.Response

        Try
            response = Transact.ProcessCreditCard("YourUsername", "YourPassword", "Sale", "4012888888881", "1010", "", "", "5.00", "", "", "", "", "", "")

            TextBox1.Text = response.ToString & Environment.NewLine
            TextBox1.Text = TextBox1.Text & response.Message & Environment.NewLine
            TextBox1.Text = TextBox1.Text & response.RespMSG & Environment.NewLine
            TextBox1.Text = TextBox1.Text & response.Result
        Catch ex As Exception
            TextBox1.Text = ex.ToString()
        Finally
            Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Cursor = Cursors.WaitCursor
        Dim trxdetail As New WS_TrxDetail.TrxDetail

        Dim responseXML As String = String.Empty

        Try
            responseXML = trxdetail.GetOpenBatchSummary("YourUsername", "YourPassword", "1", "01/01/2008", "05/27/2008", "")

            TextBox1.Text = responseXML
        Catch ex As Exception
            TextBox1.Text = ex.ToString()
        Finally
            Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        TextBox1.Text = ""
    End Sub
End Class
